typedef void *  PluginServiceFunc;

typedef struct 
{
	UINT				size;			// size of init structure
	UINT				version;		// plugin structure version (set to PLUGIN_API_VERSION)
	PluginServiceFunc	Service;		// player supplied services callback

	struct
	{
		void (*InfoChanged)(MediaInfo *mediaInfo, ICddbDisc *pDisc, long track, int flags);
		void *Reserved[2];
	} toPlayer;

	struct 
	{
		int  (*QueryInfo)(MediaInfo *mediaInfo, ICddbDisc** ppDisc, long *track, int flags);
		int  (*DisplayInfo)(MediaInfo *mediaInfo, ICddbDisc* pDisc, long track, int flags);
		void (*SaveInfo)(MediaInfo *mediaInfo, ICddbDisc* pDisc, int flags);
		void (*ShutDown)(int flags);											
		void (*Configure)(int flags);
		void (*About)(int flags);

		void *Reserved[2];
	} toModule;
} QCDModInitDB;

typedef struct {
    char    *moduleString;
    char    *moduleExtensions;
    char    *moduleCategory;
} QCDModInfo;
